package com.navinfo.outdoor.fragment;

import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;

import com.navinfo.outdoor.R;
import com.navinfo.outdoor.base.BaseFragment;

/**
 * 我的等级页面的fragment
 */
public class PrivilegeFragment extends BaseFragment implements View.OnClickListener{

    private ImageView ivPrivilege;

    public static PrivilegeFragment newInstance(Bundle bundle) {
        PrivilegeFragment fragment = new PrivilegeFragment();
        fragment.setArguments(bundle);
        return fragment;
    }
    @Override
    protected int getLayout() {
        return R.layout.privilege_fragment;
    }

    @Override
    protected void initData() {
        super.initData();
    }

    @Override
    protected void initView() {
        super.initView();
        ivPrivilege = findViewById(R.id.iv_privilege);
        ivPrivilege.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.iv_privilege:
                getActivity().finish();
                break;
        }
    }
}
